Skip to main content
Evaluators

Start a pending upload

POST
/evaluators/{name}/versions/{version}/startPendingUpload

Initiates a new pending upload or retrieves an existing one for the specified evaluator version.

Path Parameters
namestringrequired
The name path parameter.
versionstringrequired
The specific version id of the EvaluatorVersion to operate on.
Query Parameters
api-versionstringrequired
The API version to use for this operation.
Request BodyThe pending upload request parametersContent-Type: application/json
pendingUploadIdstring
If PendingUploadId is not provided, a random GUID will be used.
connectionNamestring
Azure Storage Account connection name to use for generating temporary SAS token
pendingUploadTypeenumrequired
The type of pending upload.
BlobReference
Responses
blobReferenceBlobReferencerequired
Blob reference details.
blobUristringrequired
Blob URI path for client to upload data. Example: https://blob.windows.core.net/Container/Path
storageAccountArmIdstringrequired
ARM ID of the storage account to use.
credentialSasCredentialrequired
SAS Credential definition
pendingUploadIdstringrequired
ID for this upload request.
versionstring
Version of asset to be created if user did not specify version when initially creating upload
pendingUploadTypeenumrequired
The type of pending upload.
BlobReference